org.apache.ignite.internal.commandline.meta.tasks

## Class MetadataInfoTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<MetadataTypeArgs,MetadataListResult,MetadataListResult>
  - - org.apache.ignite.internal.commandline.meta.tasks.MetadataInfoTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<MetadataTypeArgs>,MetadataListResult>

    @GridInternal
    public class MetadataInfoTask
    extends VisorMultiNodeTask<MetadataTypeArgs,MetadataListResult,MetadataListResult>

Task for MetadataListCommand and MetadataDetailsCommand commands.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`MetadataInfoTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<MetadataTypeArgs,MetadataListResult>` `job(MetadataTypeArgs arg)`
`protected @Nullable MetadataListResult` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataInfoTask

    public MetadataInfoTask()

### Method Detail

#### job

    protected VisorJob<MetadataTypeArgs,MetadataListResult> job(MetadataTypeArgs arg)

Specified by:
  `job` in class `VisorMultiNodeTask<MetadataTypeArgs,MetadataListResult,MetadataListResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable MetadataListResult reduce0(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<MetadataTypeArgs,MetadataListResult,MetadataListResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022